##### 7.7.19.0. contraHom

Procedure from library `nchomolog.lib` (see nchomolog_lib).

Usage:
  contraHom(A,k); A matrix, k int

Return:
  matrix

Purpose:
  compute the matrix of a homomorphism Hom(A,R^k), where R is the basering. Let A be a matrix defining a map F1-->F2 of free R-modules, then the matrix of Hom(F2,R^k)-->Hom(F1,R^k) is computed.

Note:
  if A is matrix of a left (resp. right) R-module homomorphism, then Hom(A,R^k) is a right (resp. left) R-module R-module homomorphism

Example:

    LIB "nchomolog.lib";
    ring A=0,(x,y,z),dp;
    matrix M[3][3]=1,2,3,
    4,5,6,
    7,8,9;
    module cM = contraHom(M,2);
    print(cM);
    ==> 1,4,7,0,0,0,
    ==> 2,5,8,0,0,0,
    ==> 3,6,9,0,0,0,
    ==> 0,0,0,1,4,7,
    ==> 0,0,0,2,5,8,
    ==> 0,0,0,3,6,9

See also:

User manual for Singular version 4-0-3, 2016, generated by texi2html.